Read currently authorized document metadata

​

Current patient grants authorize metadata reads across applications in the grantee organisation. The submitting application's externalId stays private to that application. A metadata read does not reveal an upload target or authorize completion of another application's direct upload.

Path Parameters

Responses

  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/v1/documents/{documentId}
curl 'https://api.dev.eno.health/v1/documents/{documentId}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "userId": "string",
  "externalId": "string",
  "title": "string",
  "language": "string",
  "documentDate": "2026-11-16",
  "issuers": [
    {
      "name": "string",
      "type": "unknown",
      "address": "string"
    }
  ],
  "fileName": "string",
  "contentType": "string",
  "sizeBytes": 0,
  "status": "uploading",
  "pageCount": 0,
  "createdAt": "2026-11-16T18:04:16.207Z",
  "updatedAt": "2026-11-16T18:04:16.207Z",
  "uploadedAt": null
}
Partner API reference · Check your integration’s enabled capabilities before making requests.